# pygccxml.declarations.decl_printer module

defines class, `decl_printer_t` that prints declarations tree in a user friendly format

class decl_printer_t(level=0, print_details=True, recursive=True, writer=<function _stdout_writer>, verbose=True)

  Bases: `pygccxml.declarations.decl_visitor.decl_visitor_t`

  helper class for printing declarations tree

  INDENT_SIZE = 4
  JUSTIFY = 20
  clone(increment_level=True)
  property instance
  static is_builtin_decl(decl)
  property level
  print_calldef_info(decl=None)
  print_decl_header()
  property print_details
  property recursive
  property verbose
  visit_casting_operator()
  visit_class()
  visit_class_declaration()
  visit_constructor()
  visit_destructor()
  visit_enumeration()
  visit_free_function()
  visit_free_operator()
  visit_member_function()
  visit_member_operator()
  visit_namespace()
  visit_typedef()
  visit_variable()
  property writer

dump_declarations(declarations, file_path)

  Dump declarations tree rooted at each of the included nodes to the file

  Parameters

    - declarations – either a single :class:declaration_t object or a list of :class:declaration_t objects

    - file_path – path to a file

print_declarations(decls, detailed=True, recursive=True, writer=<function <lambda>>, verbose=True)

  print declarations tree rooted at each of the included nodes.

  Parameters

    decls – either a single :class:declaration_t object or list of :class:declaration_t objects